/* Generated By:JJTree&JavaCC: Do not edit this line. CminusParserConstants.java */

/**
 * Token literal values and constants.
 * Generated by org.javacc.parser.OtherFilesGen#start()
 */
public interface CminusParserConstants {

  /** End of File. */
  int EOF = 0;
  /** RegularExpression Id. */
  int SPACE = 1;
  /** RegularExpression Id. */
  int CR = 2;
  /** RegularExpression Id. */
  int NL = 3;
  /** RegularExpression Id. */
  int INTEGER = 4;
  /** RegularExpression Id. */
  int INT = 5;
  /** RegularExpression Id. */
  int VOID = 6;
  /** RegularExpression Id. */
  int IF = 7;
  /** RegularExpression Id. */
  int ELSE = 8;
  /** RegularExpression Id. */
  int WHILE = 9;
  /** RegularExpression Id. */
  int RETURN = 10;
  /** RegularExpression Id. */
  int ID = 11;
  /** RegularExpression Id. */
  int plus = 12;
  /** RegularExpression Id. */
  int minus = 13;
  /** RegularExpression Id. */
  int mult = 14;
  /** RegularExpression Id. */
  int div = 15;
  /** RegularExpression Id. */
  int LTE = 16;
  /** RegularExpression Id. */
  int LT = 17;
  /** RegularExpression Id. */
  int GT = 18;
  /** RegularExpression Id. */
  int GTE = 19;
  /** RegularExpression Id. */
  int EQ = 20;
  /** RegularExpression Id. */
  int NEQ = 21;
  /** RegularExpression Id. */
  int NOT = 22;

  /** Lexical state. */
  int DEFAULT = 0;

  /** Literal token values. */
  String[] tokenImage = {
    "<EOF>",
    "<SPACE>",
    "<CR>",
    "<NL>",
    "<INTEGER>",
    "\"int\"",
    "\"void\"",
    "\"if\"",
    "\"else\"",
    "\"while\"",
    "\"return\"",
    "<ID>",
    "\"+\"",
    "\"-\"",
    "\"*\"",
    "\"/\"",
    "\"<=\"",
    "\"<\"",
    "\">\"",
    "\">=\"",
    "\"==\"",
    "\"!=\"",
    "\"!\"",
    "\";\"",
    "\"[\"",
    "\"]\"",
    "\"(\"",
    "\")\"",
    "\",\"",
    "\"{\"",
    "\"}\"",
    "\"=\"",
  };

}
